#
# spec file for package mplus-fonts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mplus-fonts
Version:        1.0.61
Release:        2.5
%define mplusname mplus-TESTFLIGHT-061
Summary:        Free Fonts Set Incorporates All Kanji Until Level 2 and Latin Glyphs
License:        SUSE-mplus
Group:          System/X11/Fonts
Url:            https://mplus-fonts.osdn.jp/

Source0:        %{mplusname}.tar.xz
BuildRequires:  fontpackages-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The M+ outline fonts are distributed with proportional Latin (4 variations),
fixed-halfwidth Latin (3 variations) and fixed-fullwidth Japanese (2 Kana variations)
character set. 7 weights from Thin to Black are included, but fixed-halfwidth
Latin with 5 weights from Thin to Bold.

%prep
%setup -q -n %{mplusname}

%build

%install
mkdir -p  %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc LICENSE_?  README_?
%dir %{_ttfontsdir}
%{_ttfontsdir}/*

%changelog
* Sat Apr 30 2016 ftake@geeko.jp
- update to testflight 061
  * new 100 glyphs; the number of kanji glyphs is now 5100
* Fri Nov 13 2015 ftake@geeko.jp
- update to testflight 060
  * new 100 glyphs; the number of kanji glyphs is 5000
- update to testflight 059
  * new 100 glyphs;
- update the project URLs
* Sun Mar  9 2014 ftake@geeko.jp
- updated to testflight 058
  * new 100 glyphs; contains 4800 kanji glyphs
  * fix the vertical layout problem
- updated to testflight 057
  * new 100 glyphs
* Mon Jul 15 2013 toms@opensuse.org
- updated to testflight 056
  * About 100 characters were added, bringing the total number of
  Kanji glyphs to 4600.
  * Composition of IPA symbols may not work
  * Disabled ligatures U+FB00–U+FB04 in the half-width fixed font.
  * During composition, punctuation marks, sokuon symbol classes etc.
  were not displayed in the correct position
* Tue Apr 16 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Sep 19 2012 ftake@geeko.jp
- updated to testflight 052
  * New 100 glyphs and 4300 kanji glyphs are available in total.
  * This version covers JIS Level 1.
* Mon Aug  6 2012 toms@opensuse.org
- Updated to testflight 051; following changelog is translated
  through Google Translate (slightly shortend and corrected):
  * Amount of characters are now 4200 Chinese glyphs
  * If there is a synthesis of (IPA Extensions)
    is not functioning international phonetic symbols.
  * You have to disable the character uniFB04 Ligature of fixed-width
    font characters, from uniFB00.
  * Fixed a bug is in Kana characters nasal sound, left glyph can
    not be displayed.
  * When using vertical, screws, and gemination punctuation, symbol
    class has gone and is no longer displayed in the correct position.
  * Trouble seems to have occurred to send single-byte characters
    of a fixed-width font under some circumstances.
    If you are, please let us know about the cause or idea, similar cases.
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Wed Jun  6 2012 ftake@geeko.jp
- updated to testflight 049
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Fri Mar 30 2012 pgajdos@suse.com
- SUSE-mplus license
* Wed Sep 28 2011 ftake@geeko.jp
- updated to testflight 042
  * daily-use kanjis are available
* Wed Mar 31 2010 tiwai@suse.de
- updated to testflight 029
- removed unneeded depenency on xorg-x11-devel
* Tue Dec  8 2009 toms@suse.de
- Updated to testflight 027
* Mon Aug  3 2009 toms@suse.de
- Updated to testflight 025
* Sun May 27 2007 toms@suse.de
- First release of TESTFLIGHT 023
